Debian Bug report logs - #488456
unchecked write() calls

version graph

Package: libedit; Maintainer for libedit is LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>;

Reported by: Kees Cook <kees@outflux.net>

Date: Sun, 29 Jun 2008 01:21:02 UTC

Severity: normal

Tags: patch

Found in version 2.11~20080614-1

Fixed in version libedit/2.11~20080614-2

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#488456; Package libedit. Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@outflux.net>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@outflux.net>
To: Debian Bugs <submit@bugs.debian.org>
Subject: unchecked write() calls
Date: Sat, 28 Jun 2008 18:18:17 -0700
[Message part 1 (text/plain, inline)]
Package: libedit
Version: 2.11~20080614-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu intrepid ubuntu-patch

Hello!  Attached is a patch to fix the lack of error-checking for 2
write() calls, as discovered when compiling with -D_FORTIFY_SOURCE=2.

Thanks!

-- 
Kees Cook                                            @outflux.net
[20-fortify.patch (text/x-diff, attachment)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Fri, 22 May 2009 02:18:04 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@outflux.net>:
Bug acknowledged by developer. (Fri, 22 May 2009 02:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 488456-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 488456-close@bugs.debian.org
Subject: Bug#488456: fixed in libedit 2.11~20080614-2
Date: Fri, 22 May 2009 01:55:02 +0000
Source: libedit
Source-Version: 2.11~20080614-2

We believe that the bug you reported is fixed in the latest version of
libedit, which is due to be installed in the Debian FTP archive:

libedit-dev_2.11~20080614-2_amd64.deb
  to pool/main/libe/libedit/libedit-dev_2.11~20080614-2_amd64.deb
libedit2_2.11~20080614-2_amd64.deb
  to pool/main/libe/libedit/libedit2_2.11~20080614-2_amd64.deb
libedit_2.11~20080614-2.diff.gz
  to pool/main/libe/libedit/libedit_2.11~20080614-2.diff.gz
libedit_2.11~20080614-2.dsc
  to pool/main/libe/libedit/libedit_2.11~20080614-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated libedit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 May 2009 10:29:58 +1000
Source: libedit
Binary: libedit2 libedit-dev
Architecture: source amd64
Version: 2.11~20080614-2
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 libedit-dev - BSD editline and history libraries (development files)
 libedit2   - BSD editline and history libraries
Closes: 488456 489846 489847 513027
Changes: 
 libedit (2.11~20080614-2) unstable; urgency=low
 .
   * Merge with Ubuntu
     - debian/patches/20-fortify.patch: handle error conditions found
       by -D_FORTIFY_SOURCE=2; closes: #488456
   * Suggests libbsd0; closes: #513027
   * Support crossbuilding; closes: #489846, #489847
   * Homepage is
     http://ftp.netbsd.org/pub/NetBSD/NetBSD-release-5-0/src/lib/libedit/
   * Standards version is 3.8.1
   * debhelper compatibility is 7
Checksums-Sha1: 
 7ef269c00bfd71be74126bd51e59665c8062c0d2 1235 libedit_2.11~20080614-2.dsc
 3e76228cac2e99b1a77faa1b487ec576b3464c0c 9414 libedit_2.11~20080614-2.diff.gz
 6d00f94fbda8505757c90c8040e0b80d35c75495 75824 libedit2_2.11~20080614-2_amd64.deb
 e8d95cf004c9277af030bcd6e1a1b23db0df1569 92616 libedit-dev_2.11~20080614-2_amd64.deb
Checksums-Sha256: 
 4c4c437ba522180a93882171f93241a8e3d5957cdd9e342d00a1017d906e79b4 1235 libedit_2.11~20080614-2.dsc
 a12d1d53083bde446e18d41cb6837124ffb6a6e1f974ea41836b8d508bf3001a 9414 libedit_2.11~20080614-2.diff.gz
 d0580553daad70e27f85d19893e13aedc42d804cb521583c62b08ed03213850e 75824 libedit2_2.11~20080614-2_amd64.deb
 2dbf2eb52e83f70cfda57a99884f9893c55cfe00bd36bd11b1ef2e026c9b1da5 92616 libedit-dev_2.11~20080614-2_amd64.deb
Files: 
 8a0b40fc4a84f2ec15885ed8227231b9 1235 libs standard libedit_2.11~20080614-2.dsc
 6a3a6c5d0e0e0c34bc23a42cb87f81e4 9414 libs standard libedit_2.11~20080614-2.diff.gz
 6f22fe9265abccf7d18c521145ac9e1d 75824 libs standard libedit2_2.11~20080614-2_amd64.deb
 7c7c612eb846d0d32af259b8ea32170c 92616 libdevel optional libedit-dev_2.11~20080614-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoWBQcACgkQgY5NIXPNpFX2vACfS7MGnKCbjJ2rpIxF2FlwDYOT
zSoAoJQS9TtZ1UpXlDBrrCUj9Y55eYG1
=/hMS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Jun 2009 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:33:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.